gi-gdkx11-3.0.16: GdkX11 bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GdkX11.Objects.X11DeviceXI2

Contents

- Exported types
- Methods
- Properties
  - deviceId

Description

No description available in the introspection data.

Synopsis

- newtype X11DeviceXI2 = X11DeviceXI2 (ManagedPtr X11DeviceXI2)
- class (GObject o, IsDescendantOf X11DeviceXI2 o) => IsX11DeviceXI2 o
- toX11DeviceXI2 :: (MonadIO m, IsX11DeviceXI2 o) => o -> m X11DeviceXI2
- constructX11DeviceXI2DeviceId :: (IsX11DeviceXI2 o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getX11DeviceXI2DeviceId :: (MonadIO m, IsX11DeviceXI2 o) => o -> m Int32

# Exported types

newtype X11DeviceXI2 Source #

Memory-managed wrapper type.

Constructors

X11DeviceXI2 (ManagedPtr X11DeviceXI2) |

#### Instances

Instances details

Eq X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2 Methods (==) :: X11DeviceXI2 -> X11DeviceXI2 -> Bool Source # (/=) :: X11DeviceXI2 -> X11DeviceXI2 -> Bool Source #
GObject X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2
ManagedPtrNewtype X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2 Methods toManagedPtr :: X11DeviceXI2 -> ManagedPtr X11DeviceXI2 Source #
TypedObject X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2 Methods glibType :: IO GType Source #
HasParentTypes X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2
IsGValue (Maybe X11DeviceXI2) Source # | Convert `X11DeviceXI2` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2 Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11DeviceXI2 -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11DeviceXI2) Source #
type ParentTypes X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2 type ParentTypes X11DeviceXI2 = '[Device, Object]

class (GObject o, IsDescendantOf X11DeviceXI2 o) => IsX11DeviceXI2 o Source #

Type class for types which can be safely cast to `X11DeviceXI2`, for instance with `toX11DeviceXI2`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11DeviceXI2 o) => IsX11DeviceXI2 o Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2

toX11DeviceXI2 :: (MonadIO m, IsX11DeviceXI2 o) => o -> m X11DeviceXI2 Source #

Cast to `X11DeviceXI2`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, grab, isFloating, listAxes, listSlaveDevices, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, ungrab, unref, warp, watchClosure.

#### Getters

getAssociatedDevice, getAxes, getAxisUse, getData, getDeviceType, getDisplay, getHasCursor, getKey, getLastEventWindow, getMode, getNAxes, getNKeys, getName, getPosition, getPositionDouble, getProductId, getProperty, getQdata, getSeat, getSource, getVendorId, getWindowAtPosition, getWindowAtPositionDouble.

#### Setters

setAxisUse, setData, setDataFull, setKey, setMode, setProperty.

# Properties

## deviceId

No description available in the introspection data.

constructX11DeviceXI2DeviceId :: (IsX11DeviceXI2 o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`device-id`” property. This is rarely needed directly, but it is used by `new`.

getX11DeviceXI2DeviceId :: (MonadIO m, IsX11DeviceXI2 o) => o -> m Int32 Source #

Get the value of the “`device-id`” property. When overloading is enabled, this is equivalent to

    get x11DeviceXI2 #deviceId